#include <iostream>
#include <cmath>
using namespace std;
int main()
{
long long x1, y1, x2, y2;
cin>>x1>>y1;
cin>>x2>>y2;
if (x1==x2 && y1==y2)
    {
    cout<<0;
    return 0;
    }

if(abs(x2-x1)==abs(y2-y1))
    {
    cout<<1;
    }
else if(x1==x2 || y1==y2)
    {
    cout<<2;
    }
else
    {
    cout<<0;
    }
}